[Linux-bruxelles] Sun Java JRE plugin bugué ?

Laurent Léonard laurent at open-minds.org
Sam 25 Juil 18:15:14 CEST 2009


Le samedi 25 juillet 2009 à 17:31, Aldo a écrit :
> On Sat, Jul 25, 2009 at 05:01:40PM +0200, Laurent Léonard wrote:
> > Le samedi 25 juillet 2009 à 14:51, Aldo a écrit :
> > > sur Ubuntu Hardy (lts), y a eu la semaine dernière une maj qui a causé
> > > l'inutilisabilité du plugin JRE:
> > > il s'agit de la version 6.14 qui est venue avec, cf. paquets
> > > sun-java6-plugin -jre et -bin.
> > > Mais ne peut-on pas revenir d'une façon ou d'une autre une version en
> > > arrière ?
> > > on a remplacé le plugin Flash flashplugin-nonfree par la v. 10 d'Adobe;
> > > mais ça ne marchait tj pas,
> > > idem reinstallé FF mais ça ne marchait tj pas;
> > > enfin une purge des paquets susmentionnés et l'install d'un vieux JRE
> > > 6.01 ...bin de chez sun a résolu le blème; mais c un peu vieux comme
> > > version, d'où ma question.
> >
> > La 6-13-1 est dans Jaunty et la 6-14-0ubuntu1.9.04 dans jaunty-updates, à
> > voir ce que la 6.14 corrige :
> > http://java.sun.com/javase/6/webnotes/6u14.html. Par contre si la
> > mise-à-jour est dans la section security c'est que la nouvelle version
> > corrige des problèmes de sécurité.
>
> Mais c bizarre qu'une version 6.14 soit alors dans la dernière maj pour une
> LTS ?!

Oups, je viens de me rendre compte que j'ai dit une bêtise dans mon précédent 
message... Je ne sais pas pourquoi j'ai parlé de mise-à-jour de sécurité, je 
dois avoir louché sur un autre paquet en même temps ! La 6.14 ne comprend 
donc pas de correctif de sécurité.

>
> > La 6-14-1 est également dans Karmic et la 6-14-0ubuntu1.8.04 dans
> > hardy-updates, j'imagine que c'est cette dernière que tu viens
> > d'installer.
>
> Commenet savoir que sa distrib est en mode update ? uname parle d'un kern
> 2.6.24-24-generic
> et cat /etc/issue parle d'une Ubuntu 8.04-3.

Le dépôt "hardy-updates" comprend des "mises-à-jour étendues" de la 
distribution Hardy. Je ne connais pas en détail la politique des dépôts 
*-updates d'Ubuntu, mais une ligne doit lui correspondre dans ton 
fichier /etc/apt/sources.list. Une petite recherche du mot-clé "updates" dans 
ce fichier et tu devrais pouvoir trouver là ou les lignes de 
dépôt "hardy-updates" afin de les commenter. Une fois que c'est fait tu peux 
faire un apt-get update pour rafraîchir le cache des paquets.

Cette opération peut également être faite via les gestionnaires de paquets 
graphiques, via une option de gestion des dépôts.

>
> > Il me semble que la version la plus proche est celle de jaunty (6-13-1),
> > ou au
> > pire tu peux reprendre celle de hardy (6-06-0ubuntu1) que tu avais avant
>
> Oui mais moi pas savoir comment faire ça!

Une fois que tu as modifié ton sources.list, désinstalle Java (sun-java6-*) et 
réinstalle-le, c'est celui du dépôt "hardy" qui sera donc téléchargé et 
installé.

>
> >mais
> > tout en tenant bien en compte que cette solution n'est que temporaire
> >puisque
> > la 6.14 corrige des problèmes de sécurité... Je pense donc que le mieux
> > serait que tu rédiges un rapport de bug en précisant bien les
> > circonstances et les détails du bug "causant l'inutilisabilité du plugin
> > JRE" que tu as trouvé.
>
> Pas trop accessible le site launchpad.net pour un utilisateur de mon type
>
> :-) c toute la facilité de reportbug sous Debian (accès textuel, facilité
> : de
>
> soumission de bug).

Effectivement.

>
> Sinon j'ai aussi récupéré le bin de la v. 6.13 et pourrai l'installer en
> attendant à la place de 6.01.
>
> Notes enfin que, en guise de msg d'erreur un simple écran blanc sans msg
> est pas très pertinent comme rapport pour aider à dénicher le blème, d'où
> notre propre confusion au départ et un doute quant à savoir si le blème
> conernait Flash ou FF ou JRE.

Si tu es sûr qu'il s'agit d'un bug concernant ce paquet, mieux vaut le 
signaler après avoir vérifié que ce n'est déjà fait et donner les 
informations dont tu disposes, même si elles sont brèves. Si plus 
d'informations sont nécessaires afin de cerner le bug, elles te seront 
demandées par le mainteneur du paquet.

-- 
Laurent Léonard
-------------- section suivante --------------
Une pièce jointe autre que texte a été nettoyée...
Nom: signature.asc
Type: application/pgp-signature
Taille: 197 octets
Desc: This is a digitally signed message part.
URL: <http://listes.domainepublic.net/pipermail/linux-bruxelles/attachments/20090725/9e779584/attachment.sig>


Plus d'informations sur la liste de diffusion Linux-bruxelles